TCR Campaign
TcrCampaignImportedWebhook is sent to the URL set up with the /webhooks endpoint for webhook type
TcrCampaignImported when a TCR campaign (which you shared with Telgorithm) is imported.
Authorization
basic Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
New TCR campaign was imported event.
Response Body
curl -X POST "https://example.com/v1/Webhooks/TcrCampaignImportedWebhook" \ -H "Content-Type: application/json" \ -d '{ "type": "TcrCampaignImported", "sid": "WH08df051c8bb9a209f4219a9dd5b2b7e810f02769fee9685e", "payload": { "campaignId": "CXXXXXX", "brandId": "BXXXXXX" } }'Opt-In/Out POST
`OptInOutWebhook` is sent to the `MessagingConfig.OptInOutCallbackUrl` when an Opt-In/Out is received from the recipient TN.
Phone Number status POST
`PhoneNumberStatusChangedWebhook` is sent to the URL set up with the `/webhooks` endpoint for webhook type `PhoneNumberStatusChanged` when a Phone Number status has been changed.